=== debian/changelog ===
libsdl2 (2.0.4+dfsg1-2ubuntu2.16.04.2) xenial-security; urgency=medium

  * SECURITY UPDATE: heap-based buffer over-read in Fill_IMA_ADPCM_block
    - debian/patches/CVE-2017-2888.diff: check var size before mallocing pixels
    - debian/patches/CVE-2017-2888_CVE-2019-7637.diff: assert size of int
      before mallocing
    - CVE-2017-2888
    - CVE-2019-7637
  * SECURITY UPDATE: heap-based buffer over-read in Blit1to4
    - debian/patches/CVE-2019-7635.diff: add error checking to SDL_LoadBMP_RW
    - CVE-2019-7635
  * SECURITY UPDATE: heap-based buffer over-read in Map1toN and
     SDL_GetRGB
    - debian/patches/CVE-2019-7636_CVE-2019-7638.patch: add error checking to
      SDL_LoadBMP_RW
    - CVE-2019-7636
    - CVE-2019-7638
  * Package failed to build from source
    - debian/patches/ftbfs.diff: Add wl_proxy_marshal_constructor_versioned sym

 -- Avital Ostromich <avital.ostromich@canonical.com>  Wed, 28 Aug 2019 14:45:27 -0400

libsdl2 (2.0.4+dfsg1-2ubuntu2.16.04.1) xenial; urgency=medium

  * Cherry-pick upstream fix for full-screen switching mode
    LP: #1679573

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Nov 2017 10:55:43 +0100

libsdl2 (2.0.4+dfsg1-2ubuntu2) xenial; urgency=medium

  * Rebuild against libsndio6.1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Mar 2016 22:59:45 +0100

libsdl2 (2.0.4+dfsg1-2ubuntu1) xenial; urgency=medium

  * debian/patches/mir_new_abi_api.diff: New Mir ABI/API update
    to work with MIR 0.14 and greater (lp: #1513241)
  * Add libmirclient-dev as build-dependency.

 -- Brandon Schaefer <brandontschaefer@gmail.com>  Wed, 20 Jan 2016 12:03:45 -0600

libsdl2 (2.0.4+dfsg1-2) unstable; urgency=low

  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Jan 2016 16:36:59 +0100

libsdl2 (2.0.4+dfsg1-1) experimental; urgency=medium

  * Team upload.
  * run wrap-and-sort -sa.
  * Fix copyright lintian warning.
  * Update copyright to new release.
  * New upstream release (Closes: #788688, #798265, #788540)
    - Drop patches use-default-screen and
      fix_joystick_misc_axes.diff, applied upstream.
  * Add Files-Excluded keyword to copyright file, allowing to
    import a new release with uscan command. (Closes: #804662)
  * Create new -doc package, and move examples into it (Closes: #739430).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Jan 2016 12:12:54 +0100

libsdl2 (2.0.2+dfsg1-8) unstable; urgency=medium

  * Change to improve build reproducibility: tar file permission modes.
    Thanks Reiner Herrmann. (Closes: #803578)
  * Build with sndio support (Closes: #799707)
  * Update d/copyright to adapt to minor changes in code and files moved
    around, and quell lintian (spelling-error-in-copyright,
    wildcard-matches-nothing-in-dep5-copyright and
    unused-file-paragraph-in-dep5-copyright)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 01 Nov 2015 00:55:03 +0000

libsdl2 (2.0.2+dfsg1-7) unstable; urgency=medium

  * Bump Policy Standards-Version to 3.9.6 (no changes needed)
  * Remove Barry deFreese from uploaders
  * Change for reproducible builds: use "--owner=0 --group=0" when
    creating the "examples" tar file (Closes: #777186).  Thanks Chris Lamb
    and rest of the Reproducible Builds team for the analysis and patch
    suggested.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 27 Apr 2015 22:53:31 +0100

libsdl2 (2.0.2+dfsg1-6) unstable; urgency=medium

  * rules: disable activec for ppc64el build (Closes: #770670)

 -- Dominique Dumont <dod@debian.org>  Thu, 27 Nov 2014 18:52:50 +0100

libsdl2 (2.0.2+dfsg1-5) unstable; urgency=medium

  * patch to use default screen from DISPLAY (Closes: #754401)
  * fix short name of BSD-3-clause

 -- Dominique Dumont <dod@debian.org>  Sat, 18 Oct 2014 19:01:30 +0200

libsdl2 (2.0.2+dfsg1-4) unstable; urgency=medium

  [ Hector Oron ]
  * d/control: remove libts-dev build depends. (Closes: #751766)

  [ Felix Geyer ]
  * Move upstream GPG key as an ascii-armored keyring to debian/upstream/.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 16 Jun 2014 21:02:07 +0200
