## libsdl2 2.0.4+dfsg2

=== debian/changelog ===
libsdl2 (2.0.4+dfsg2-1ubuntu1) yakkety; urgency=medium

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/mir_new_abi_api.diff: New Mir ABI/API update
      to work with MIR 0.14 and greater (lp: #1513241)
    - Add libmirclient-dev as build-dependency.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 May 2016 14:45:24 +0200

libsdl2 (2.0.4+dfsg2-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 3.9.8 (no changes needed)
  * Drop -dbg package
  * Fixes for reproducible builds:
    - timestamps_in_tarball, use --clamp-mtime with changelog as date
    - timestamps_in_gzip_headers, export GZIP="-9n"
    - sort files by name when creating "examples.tar.gz"
  * Add depends from -doc on libjs-jquery, use symlink instead of embedded
    copy
  * Ensure proper migration from -dbg package using "dh_strip
    --dbgsym-migration"
  * Bump debhelper dependency for --dbgsym-migration
  * Enable ibus support (Closes: #822924)
  * d/patches:
    - Add bug_822210_fix_sdl2-config.cmake_whitespace.patch: Fix upstream
      problem with sdl2-config.cmake (Closes: #822210)

  [ Gianfranco Costamagna ]
  * Fix insecure VCS fields.
  * Re-import the same tarball without SDL-qsort.c file.
    - the license issue is fixed already, because the original
      maintainer relicensed it (so we are adding it as a patch now)
      this repack can be removed in the next upstream tarball import.
      (Closes: #814276).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 19 May 2016 11:48:54 +0100
