=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: libsdl2
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sam Hocevar <sho@debian.org>,
  Manuel A. Fernandez Montecelo <mafm@debian.org>,
  Felix Geyer <fgeyer@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20160114),
  dh-autoreconf,
  libasound2-dev [linux-any],
  libdbus-1-dev,
@@ -18,6 +17,7 @@
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
  libmirclient-dev,
+ libibus-1.0-dev,
  libpulse-dev,
  libsndio-dev,
  libudev-dev [linux-any],
@@ -38,8 +38,8 @@
  pkg-config
 Build-Depends-Indep:
  doxygen
-Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sdl/packages/libsdl2.git
 Homepage: http://www.libsdl.org/
 
 Package: libsdl2-2.0-0
@@ -59,7 +59,7 @@
  framebuffer, audio output, mouse, and keyboard.
  .
  This version of SDL is compiled with X11 and Wayland graphics drivers and OSS,
- ALSA, NAS, sndio and PulseAudio sound drivers.
+ ALSA, sndio and PulseAudio sound drivers.
 
 Package: libsdl2-dev
 Architecture: any
@@ -72,6 +72,7 @@
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
  libmirclient-dev,
+ libibus-1.0-dev,
  libpulse-dev,
  libsdl2-2.0-0 (= ${binary:Version}),
  libsndio-dev,
@@ -106,7 +107,8 @@
 Section: doc
 Architecture: all
 Depends:
- ${misc:Depends}
+ ${misc:Depends},
+ libjs-jquery
 Breaks:
  libsdl2-dev (<< 2.0.4+dfsg-1)
 Replaces:
@@ -116,17 +118,3 @@
  framebuffer, audio output, mouse, and keyboard.
  .
  This package contains the reference manual and examples.
-
-Package: libsdl2-dbg
-Architecture: any
-Multi-Arch: same
-Priority: extra
-Section: debug
-Depends:
- libsdl2-2.0-0 (= ${binary:Version}),
- ${misc:Depends}
-Description: Simple DirectMedia Layer debug files
- SDL is a library that allows programs portable low level access to a video
- framebuffer, audio output, mouse, and keyboard.
- .
- This package contains the debug symbols for the SDL library.
