=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 confflags = --disable-rpath --enable-sdl-dlopen --disable-loadso \
             --disable-nas --disable-esd --disable-arts \
             --disable-alsa-shared --disable-pulseaudio-shared \
+            --enable-ibus \
             --disable-x11-shared --disable-video-directfb \
             --enable-video-opengles \
             --enable-video-wayland --disable-wayland-shared
@@ -32,6 +33,9 @@
 ifeq (hurd,$(findstring hurd,$(DEB_HOST_ARCH_CPU)))
   confflags += --disable--video-opengles
 endif
+
+# for reproducible builds, timestamps_in_tarball
+SOURCE_DATE := $(shell dpkg-parsechangelog --show-field=Date)
 
 
 %:
@@ -68,11 +72,14 @@
 	dh_auto_configure -- $(confflags)
 
 override_dh_auto_build-indep:
-	tar czf debian/examples.tar.gz test --owner=0 --group=0 --mode=go=rX,u+rw,a-s
+	GZIP="-9n" tar czf debian/examples.tar.gz test --owner=0 --group=0 --mode=go=rX,u+rw,a-s --clamp-mtime --mtime="$(SOURCE_DATE)" --sort=name
 	doxygen docs/doxyfile
 	# useless files
 	find output -name "*.md5" -delete
 	find output -type d -empty -delete
+
+	find output -name "jquery.js" -delete
+	dh_link -plibsdl2-doc usr/share/javascript/jquery/jquery.js usr/share/doc/libsdl2-doc/html/jquery.js
 
 override_dh_auto_clean-indep:
 	dh_auto_clean
@@ -88,8 +95,8 @@
 	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0.4.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
 	dh_link --remaining-packages
 
-override_dh_strip:
-	dh_strip --dbg-package=libsdl2-dbg
-
 override_dh_makeshlibs:
 	dh_makeshlibs -V"libsdl2-2.0-0 (>= $(SHLIBVER))"
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='libsdl2-dbg (<< 2.0.4+dfsg2-1~)'
