## libsdl2 2.0.5+dfsg1

=== debian/changelog ===
libsdl2 (2.0.5+dfsg1-2mx15) mx; urgency=medium

  * Rebuild for MX-15/16

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 26 Aug 2018 10:46:11 -0400

libsdl2 (2.0.5+dfsg1-2) unstable; urgency=medium

  * Team Upload.
  * Fix broken link (Closes: #849297)
    - thanks Ben Longbons for the bug report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Dec 2016 18:11:10 +0100

libsdl2 (2.0.5+dfsg1-1) unstable; urgency=low

  * New upstream release
    - Drop (all) debian/patches, there had been originally backported from
      upstream or are now applied there:
      * replace-relicenced-SDL_qsort.patch
      * SDL2_dont_propagate_lpthread.diff (included in 2.0.4 already, but not
        dropped then)
      * bug_822210_fix_sdl2-config.cmake_whitespace.patch
  * d/control: add Build-Depend on wayland-protocols, needed by the new version

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 02 Nov 2016 01:20:36 +0100
