=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
- libmirclient-dev,
  libibus-1.0-dev,
  libpulse-dev,
  libsndio-dev,
@@ -71,7 +70,6 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
- libmirclient-dev,
  libibus-1.0-dev,
  libpulse-dev,
  libsdl2-2.0-0 (= ${binary:Version}),
