=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
             --enable-ibus \
             --disable-x11-shared --disable-video-directfb \
             --enable-video-opengles \
-            --enable-video-wayland --disable-wayland-shared
+            --disable-video-wayland --disable-wayland-shared
 
 ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
   confflags += --disable-altivec
@@ -92,7 +92,7 @@
 override_dh_link:
         # to address lintian warning
         # W: libsdl2-2.0-0: dev-pkg-without-shlib-symlink usr/lib/x86_64-linux-gnu/libSDL2-2.0.so.0.0.0 usr/lib/x86_64-linux-gnu/libSDL2-2.0.so
-	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0.4.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
+	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0.4.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
 	dh_link --remaining-packages
 
 override_dh_makeshlibs:
