## libsdl2 2.0.6+dfsg1

=== debian/changelog ===
libsdl2 (2.0.6+dfsg1-3ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Oct 2017 09:47:29 +0200

libsdl2 (2.0.6+dfsg1-3) unstable; urgency=high

  [ Gianfranco Costamagna ]
  * debian/patches/dc7245e3d1f2.patch:
    - backport upstream fix for dbus error.
      LP: #1721907
      thanks LGB [Gábor Lénárt] (lgb) for the report!

  [ Felix Geyer ]
  * Fix CVE-2017-2888: Integer overflow while creating a new RGB surface.
    - Add d/patches/CVE-2017-2888.patch
    - Closes: #878264
  * Enable verbose build logs.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 12 Oct 2017 18:33:41 +0200

libsdl2 (2.0.6+dfsg1-2ubuntu2) artful; urgency=medium

  * debian/patches/dc7245e3d1f2.patch:
    - backport upstream fix for dbus error.
      LP: #1721907
      thanks LGB [Gábor Lénárt] (lgb) for the report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Oct 2017 09:23:47 +0200

libsdl2 (2.0.6+dfsg1-2ubuntu1) artful; urgency=low

  * Sync with Debian. Remaining change:
    - Build-depend on libmirclient-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Sep 2017 11:16:14 +0200

libsdl2 (2.0.6+dfsg1-2) unstable; urgency=medium

  * Fix libSDL2-2.0.so symlink, thanks Andreas Beckmann (Closes: #877270)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 30 Sep 2017 10:09:26 +0200

libsdl2 (2.0.6+dfsg1-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release
    - Closes: #733015
  * Override on dh_installchangelogs to install upstream changelog WhatsNew.txt
    (wrong override on dh_auto_installchangelogs before)
  * Mark -doc package as "Multi-Arch: foreign"

  [ Gianfranco Costamagna ]
  * Make dev package finally multiarch

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 27 Sep 2017 00:29:24 +0200

libsdl2 (2.0.5+dfsg1-3ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - fix build with libmirclient-dev
    - cherry pick upstream build fix. (3034ea08d805.patch)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Jul 2017 14:53:15 +0200

libsdl2 (2.0.5+dfsg1-3) unstable; urgency=medium

  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
      * disable autoheader (invoked automatically by autoreconf),
        necessary in order to use debhelper compat level v10 without
        overriding dh-autoreconf calls
  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Install WhatsNew.txt as upstream changelog

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 28 Jul 2017 23:35:01 +0200

libsdl2 (2.0.5+dfsg1-2ubuntu3) zesty; urgency=medium

  * debian/patches/3034ea08d805.patch:
    - cherry pick upstream build fix.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Jan 2017 23:08:41 +0100

libsdl2 (2.0.5+dfsg1-2ubuntu2) zesty; urgency=medium

  * Fix build by adding missing flags

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 Dec 2016 22:32:02 +0100

libsdl2 (2.0.5+dfsg1-2ubuntu1) zesty; urgency=medium

  * Sync with Debian. Remaining change:
    - Build-depend on libmirclient-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 Dec 2016 21:35:32 +0100

libsdl2 (2.0.5+dfsg1-1ubuntu1) zesty; urgency=medium

  * Sync with Debian. Remaining change:
    - Build-depend on libmirclient-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 11 Dec 2016 01:12:11 -0500
