## libsdl2 2.0.8%2Bdfsg1

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg\d+$//,pgpsigurlmangle=s/$/.sig/ \
  https://www.libsdl.org/release/SDL2-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)
