## libsdl2 2.0.8+dfsg1

=== debian/changelog ===
libsdl2 (2.0.8+dfsg1-4ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev
    - Explicitly enable --enable-video-mir in rules

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Oct 2018 13:17:11 +0200

libsdl2 (2.0.8+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Update copyright file.
  * Ack previous NMU thanks!
  * Also add the testsuite from test directory (from bug #909778)
    - we need to find an approach to also run the resulting binaries
      automatically

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Oct 2018 12:54:23 +0200

libsdl2 (2.0.8+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/tests/build: Add autopkgtest to check that dynamic linking with
    either pkg-config or sdl2-config works correctly
  * Revert "Make libsdl2-dev coinstallable again"
    (Closes: #909778) (reopens: #909740)

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Sep 2018 16:13:38 +0100

libsdl2 (2.0.8+dfsg1-3) unstable; urgency=medium

  [ Hugh McMaster <hugh.mcmaster@outlook.com> ]
  * Make libsdl2 coinstallable again (Closes: #909740).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Sep 2018 16:21:47 +0200

libsdl2 (2.0.8+dfsg1-2ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev
    - Explicitly enable --enable-video-mir in rules

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Sep 2018 20:40:19 +0200

libsdl2 (2.0.8+dfsg1-2) unstable; urgency=medium

  [ Felix Geyer ]
  * Remove Multi-Arch: same from libsdl2-dev as SDL_config.h is architecture
    dependent.

  [ Gianfranco Costamagna ]
  * Team upload
  * Enable vulkan everywhere
  * debian/patches/SDL2-dynapi-symbol-resolution-fix.patch:
    cherry-pick upstream fix for Unity-based games shipping bundled
    libsdl2 version (LP: #1772471)
    - thanks Ryan Gordon for the patch and help

  [ Ryan C. Gordon (icculus) ]
  * Disable --disable-loadso switch, it was useless and it is wrong
    in many cases (see LP: #1740517 for discussion)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 09 Sep 2018 01:41:38 +0200

libsdl2 (2.0.8+dfsg1-1ubuntu2) cosmic; urgency=medium

  * debian/patches/SDL2-dynapi-symbol-resolution-fix.patch:
    cherry-pick upstream fix for Unity-based games shipping bundled
    libsdl2 version (LP: #1772471)
    - thanks Ryan Gordon for the patch and help!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 May 2018 09:24:20 +0200

libsdl2 (2.0.8+dfsg1-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev
    - Explicitly enable --enable-video-mir in rules

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Mar 2018 16:39:02 +0100

libsdl2 (2.0.8+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes IBus not working properly. (Closes: #878484)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 04 Mar 2018 12:07:25 +0100

libsdl2 (2.0.7+dfsg1-3ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 09 Nov 2017 18:29:54 +0100

libsdl2 (2.0.7+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Fix shlib symlink.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 09 Nov 2017 17:26:43 +0100

libsdl2 (2.0.7+dfsg1-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2017 13:13:41 +0100

libsdl2 (2.0.7+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Bump std-version to 4.1.1, no changes required
  * Add fcitx support (Closes: #881042), thanks
    Zhang Jingqiang <zh_jq@outlook.com> for the report!
  * Switch URI in secure mode
  * Update copyright years
  * Enable also samplerate support
  * Also switch watch file in secure mode

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2017 13:09:13 +0100

libsdl2 (2.0.7+dfsg1-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2017 11:28:18 +0100

libsdl2 (2.0.7+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.7+dfsg1.
  * Remove patches backported from upstream.
  * bump SHLIBVER in debian/rules, as SDL_INTERFACE_AGE
    in configure.in has been reset.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 06 Nov 2017 22:26:23 +0100

libsdl2 (2.0.6+dfsg1-4ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 08:17:12 +0200

libsdl2 (2.0.6+dfsg1-4) unstable; urgency=high

  * Import further upstream patches for CVE-2017-2888.
    The initial fix was incomplete. (Closes: #878264)
    - d/patches/CVE-2017-2888-1.patch
    - d/patches/CVE-2017-2888-2.patch
    - d/patches/CVE-2017-2888-3.patch

 -- Felix Geyer <fgeyer@debian.org>  Wed, 18 Oct 2017 21:36:23 +0200
