=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Sam Hocevar <sho@debian.org>,
  Manuel A. Fernandez Montecelo <mafm@debian.org>,
  Felix Geyer <fgeyer@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Build-Depends:
- debhelper (>= 9.20160114),
- dh-autoreconf,
+ debhelper (>= 10~),
+ fcitx-libs-dev,
  libasound2-dev [linux-any],
  libdbus-1-dev,
  libegl1-mesa-dev [!hurd-any],
@@ -17,11 +17,13 @@
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
  libibus-1.0-dev,
+ libmirclient-dev,
  libpulse-dev,
  libsndio-dev,
  libudev-dev [linux-any],
  libusb2-dev [kfreebsd-any],
  libusbhid-dev [kfreebsd-any],
+ libvulkan-dev [linux-any],
  libwayland-dev [linux-any],
  libx11-dev,
  libxcursor-dev,
@@ -34,21 +36,23 @@
  libxt-dev,
  libxv-dev,
  libxxf86vm-dev,
- pkg-config
+ pkg-config,
+ libsamplerate0-dev,
+ wayland-protocols
 Build-Depends-Indep:
  doxygen
-Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sdl/packages/libsdl2.git
-Homepage: http://www.libsdl.org/
+Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2.git
+Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2
+Homepage: https://www.libsdl.org/
 
 Package: libsdl2-2.0-0
 Architecture: any
+Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Multi-Arch: same
 Conflicts:
  libsdl-1.3-0
 Replaces:
@@ -61,8 +65,8 @@
  ALSA, sndio and PulseAudio sound drivers.
 
 Package: libsdl2-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends:
  libasound2-dev [linux-any],
  libdbus-1-dev,
@@ -71,6 +75,7 @@
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
  libibus-1.0-dev,
+ libmirclient-dev,
  libpulse-dev,
  libsdl2-2.0-0 (= ${binary:Version}),
  libsndio-dev,
@@ -104,6 +109,7 @@
 Package: libsdl2-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  libjs-jquery
