=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,15 @@
 #!/usr/bin/make -f
 
-SHLIBVER = 2.0.4
+SHLIBVER = 2.0.8
 
 DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-confflags = --disable-rpath --enable-sdl-dlopen --disable-loadso \
+confflags = --disable-rpath --enable-sdl-dlopen \
             --disable-nas --disable-esd --disable-arts \
             --disable-alsa-shared --disable-pulseaudio-shared \
             --enable-ibus \
+            --enable-video-mir \
             --disable-x11-shared --disable-video-directfb \
             --enable-video-opengles \
             --enable-video-wayland --disable-wayland-shared
@@ -35,9 +36,6 @@
   confflags += --disable-video-vulkan
   confflags += --disable-video-wayland
 endif
-
-# the SDL module for Vulkan not compiling even in Linux at the moment
-confflags += --disable-video-vulkan
 
 # disable OpenGLES on Hurd, it does not support it at the moment
 ifeq (hurd,$(findstring hurd,$(DEB_HOST_ARCH_CPU)))
@@ -78,7 +76,7 @@
 override_dh_link:
         # to address lintian warning
         # W: libsdl2-2.0-0: dev-pkg-without-shlib-symlink usr/lib/x86_64-linux-gnu/libSDL2-2.0.so.0.0.0 usr/lib/x86_64-linux-gnu/libSDL2-2.0.so
-	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0.6.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
+	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
 	dh_link --remaining-packages
 
 override_dh_makeshlibs:
